- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Functions
Accessor Iterator
Eina C++Eina C++ » | Data Types » Content Access

## Data Structures
struct | efl::eina::accessor_iterator< T >
| Random access iterator for `eina::accessor`. More...

## Functions
template<typename U >
bool | efl::eina::operator>= (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if the position pointed by `lhs` is the same or is after the one pointed by `rhs`. More...
template<typename U >
bool | efl::eina::operator> (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if `lhs` points to a position after the position pointed by `rhs`. More...
template<typename U >
bool | efl::eina::operator!= (accessor_iterator< U > const &lhs, accessor_iterator< U > const &rhs)
| Check if `lhs` and `rhs` point to different positions. More...
template<typename U >
void | efl::eina::swap (accessor_iterator< U > &lhs, accessor_iterator< U > &rhs)
| Swap content between two `accessor_iterator`s. More...

## Detailed Description

## Function Documentation

template<typename U >

bool efl::eina::operator>= | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if the position pointed by `lhs` is the same or is after the one pointed by `rhs`.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if the position pointed by `lhs` is the same or is after the position pointed by `rhs`, `false` otherwise.

template<typename U >

bool efl::eina::operator> | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if `lhs` points to a position after the position pointed by `rhs`.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if `lhs` points to a position after the position pointed by `rhs`, `false` otherwise.

template<typename U >

bool efl::eina::operator!= | ( | accessor_iterator< U > const & | lhs,
|  | accessor_iterator< U > const & | rhs
| ) |  |

Check if `lhs` and `rhs` point to different positions.

Parameters

  lhs | `accessor_iterator` at the left side of the expression.
  rhs | `accessor_iterator` at the right side of the expression.

Returns
  `true` if `lhs` and `rhs` point to different positions.

template<typename U >

void efl::eina::swap | ( | accessor_iterator< U > & | lhs,
|  | accessor_iterator< U > & | rhs
| ) |  |

Swap content between two `accessor_iterator`s.

Parameters

  lhs | First `accessor_iterator`.
  rhs | Second `accessor_iterator`.

References efl::eina::accessor_iterator< T >::swap().

Referenced by efl::eina::accessor< T >::swap(), and efl::eina::accessor_iterator< T >::swap().